Subject: Re: bug#70779: [PATCH] Emacs 30 and warning about missing lexical-binding declaration

From: Arash Esbati <[email-masked]>
Date: Mon, 06 May 2024 13:56:47 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> I'm not actually against your proposal, but why do we need 40 spaces here?
>
>>> +          (insert ";;" (make-string 40 ?\s) "-*- lexical-binding: t; -*-\n\n")

Thanks for your response; we don't really need them, it was driven by my
habit of having prop-lines justified right.  A simple

  ;; -*- lexical-binding: t;

looked odd to me.  What do you think is appropriate?  I don't have a
strong opinion on this (and actually, I think I've found another more
serious bug while looking at the auto-generated file which I will
report.)

Best, Arash